# Проверка одного числа
chislo = 267
kandidat = chislo // 2
while kandidat > 1:
    if chislo % kandidat == 0:
        print(chislo, ' имеет множитель ', kandidat)
        break
    kandidat -= 1
else:
    print(chislo, ' является простым!')

print("\nПростые числа в диапазоне от 250 до 300:")

# Проверка всех чисел в диапазоне от 250 до 300
for chislo in range(250, 301):
    kandidat = chislo // 2
    while kandidat > 1:
        if chislo % kandidat == 0:
            break
        kandidat -= 1
    else:
        print(chislo, end=' ')